$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-hub'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.32.198.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.32.198.msi'
  softwareName = 'Invantive Data Hub'
  checksum = 'F721EF693B6EF1370A942FA0BAD924CFB6F76DE8E8F73C466CAB18336447CF0B'
  checksumType = 'sha256'
  checksum64 = 'F721EF693B6EF1370A942FA0BAD924CFB6F76DE8E8F73C466CAB18336447CF0B'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-hub-17.32.198-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
